local ffi = require 'ffi'
local lj_include = require 'lj_include'
local defs = {
    WNOHANG = '1',
    WUNTRACED = '2',
    WSTOPPED = '2',
    WEXITED = '4',
    WCONTINUED = '8',
    WNOWAIT = '0x01000000',
}
local format, cdef, C = string.format, ffi.cdef, ffi.C
for sym, val in pairs(defs) do
    if not pcall(function() return C[sym] end) then
        cdef(format("enum {%s = %s};", sym, val))
    end
end

