local ffi = require 'ffi'
local lj_include = require 'lj_include'

lj_include('stddef')

ffi.cdef[[
int bcmp(const void *__s1, const void *__s2, size_t __n);
void bcopy(const void *__src, void *__dest, size_t __n);
void bzero(void *__s, size_t __n);
char *index(const char *__s, int __c);
char *rindex(const char *__s, int __c);
int ffs(int __i);
int ffsl(long int __l);
int ffsll(long long int __ll);
int strcasecmp(const char *__s1, const char *__s2);
int strncasecmp(const char *__s1, const char *__s2, size_t __n);
int strcasecmp_l(const char *__s1, const char *__s2, locale_t __loc);
int strncasecmp_l(const char *__s1, const char *__s2,
    size_t __n, locale_t __loc);
]]

