local ffi = require 'ffi'
local lj_include = require 'lj_include'

lj_include('bits_types')

ffi.cdef[[
typedef __u_char u_char;
typedef __u_short u_short;
typedef __u_int u_int;
typedef __u_long u_long;
typedef __quad_t quad_t;
typedef __u_quad_t u_quad_t;
typedef __fsid_t fsid_t;
typedef __loff_t loff_t;
typedef __ino_t ino_t;
typedef __ino64_t ino64_t;
typedef __dev_t dev_t;
typedef __gid_t gid_t;
typedef __mode_t mode_t;
typedef __nlink_t nlink_t;
typedef __uid_t uid_t;
typedef __off_t off_t;
typedef __off64_t off64_t;
typedef __pid_t pid_t;
typedef __id_t id_t;
typedef __ssize_t ssize_t;
typedef __daddr_t daddr_t;
typedef __caddr_t caddr_t;
typedef __key_t key_t;
]]

lj_include('bits_types_clock_t')
lj_include('bits_types_clockid_t')
lj_include('bits_types_time_t')
lj_include('bits_types_timer_t')

ffi.cdef[[
typedef __useconds_t useconds_t;
typedef __suseconds_t suseconds_t;
]]

lj_include('stddef')

ffi.cdef[[
typedef unsigned long int ulong;
typedef unsigned short int ushort;
typedef unsigned int uint;
]]

lj_include('bits_stdint_intn')

ffi.cdef[[
typedef unsigned char u_int8_t;
typedef unsigned short int u_int16_t;
typedef unsigned int u_int32_t;
typedef unsigned long long int u_int64_t;
typedef int register_t;
]]

lj_include('endian')
lj_include('sys_select')
lj_include('sys_sysmacros')

ffi.cdef[[
typedef __blksize_t blksize_t;
typedef __blkcnt_t blkcnt_t;
typedef __fsblkcnt_t fsblkcnt_t;
typedef __fsfilcnt_t fsfilcnt_t;
typedef __blkcnt64_t blkcnt64_t;
typedef __fsblkcnt64_t fsblkcnt64_t;
typedef __fsfilcnt64_t fsfilcnt64_t;
]]

lj_include('bits_pthreadtypes')
