local ffi = require 'ffi'
local lj_include = require 'lj_include'

lj_include('bits_byteswap_16')

ffi.cdef[[
static unsigned int __bswap_32(unsigned int __bsx)
{
    return ((((__bsx) & 0xff000000u) >> 24) | (((__bsx) & 0x00ff0000u) >>
	    8) | (((__bsx) & 0x0000ff00u) << 8) | (((__bsx) & 0x000000ffu)
	    << 24));
}
static __uint64_t __bswap_64(__uint64_t __bsx)
{
    return ((((__bsx) & 0xff00000000000000ull) >> 56) | (((__bsx) &
		0x00ff000000000000ull) >> 40) | (((__bsx) &
		0x0000ff0000000000ull) >> 24) | (((__bsx) &
		0x000000ff00000000ull) >> 8) | (((__bsx) &
		0x00000000ff000000ull) << 8) | (((__bsx) &
		0x0000000000ff0000ull) << 24) | (((__bsx) &
		0x000000000000ff00ull) << 40) | (((__bsx) &
		0x00000000000000ffull) << 56));
}
]]

