local ffi = require 'ffi'
local lj_include = require 'lj_include'

ffi.cdef[[
typedef unsigned long int __cpu_mask;
typedef struct {
    __cpu_mask __bits[1024 / (8 * sizeof(__cpu_mask))];
}
cpu_set_t;
int __sched_cpucount(size_t __setsize, const cpu_set_t * __setp);
cpu_set_t *__sched_cpualloc(size_t __count);
void __sched_cpufree(cpu_set_t * __set);
]]

