local ffi = require 'ffi'
local lj_include = require 'lj_include'
local defs = {
    SIGINT = '2',
    SIGILL = '4',
    SIGABRT = '6',
    SIGFPE = '8',
    SIGSEGV = '11',
    SIGTERM = '15',
    SIGHUP = '1',
    SIGQUIT = '3',
    SIGTRAP = '5',
    SIGKILL = '9',
    SIGBUS = '10',
    SIGSYS = '12',
    SIGPIPE = '13',
    SIGALRM = '14',
    SIGURG = '16',
    SIGSTOP = '17',
    SIGTSTP = '18',
    SIGCONT = '19',
    SIGCHLD = '20',
    SIGTTIN = '21',
    SIGTTOU = '22',
    SIGPOLL = '23',
    SIGXCPU = '24',
    SIGXFSZ = '25',
    SIGVTALRM = '26',
    SIGPROF = '27',
    SIGUSR1 = '30',
    SIGUSR2 = '31',
    SIGWINCH = '28',
    SIGIO = '23',
    SIGIOT = '6',
    SIGCLD = '20',
}
local format, cdef, C = string.format, ffi.cdef, ffi.C
for sym, val in pairs(defs) do
    if not pcall(function() return C[sym] end) then
        cdef(format("enum {%s = %s};", sym, val))
    end
end

