local ffi = require 'ffi'
local lj_include = require 'lj_include'
local defs = {
    MINSIGSTKSZ = '4096',
    SIGSTKSZ = '16384',
}
local format, cdef, C = string.format, ffi.cdef, ffi.C
for sym, val in pairs(defs) do
    if not pcall(function() return C[sym] end) then
        cdef(format("enum {%s = %s};", sym, val))
    end
end

