local ffi = require 'ffi'
local lj_include = require 'lj_include'

lj_include('bits_pthreadtypes_arch')

ffi.cdef[[
typedef struct __pthread_internal_slist {
    struct __pthread_internal_slist *__next;
} __pthread_slist_t;
struct __pthread_mutex_s {
    int __lock;
    unsigned int __count;
    int __owner;
    int __kind;
    unsigned int __nusers;
    union {
	struct {
	    short __espins;
	    short __eelision;
	} __elision_data;
	__pthread_slist_t __list;
    };
};
struct __pthread_cond_s {
    union {
	unsigned long long int __wseq;
	struct {
	    unsigned int __low;
	    unsigned int __high;
	} __wseq32;
    };
    union {
	unsigned long long int __g1_start;
	struct {
	    unsigned int __low;
	    unsigned int __high;
	} __g1_start32;
    };
    unsigned int __g_refs[2];
    unsigned int __g_size[2];
    unsigned int __g1_orig_size;
    unsigned int __wrefs;
    unsigned int __g_signals[2];
};
]]

