local ffi = require 'ffi'
local lj_include = require 'lj_include'

ffi.cdef[[
struct rusage {
    struct timeval ru_utime;
    struct timeval ru_stime;
    union {
	long int ru_maxrss;
	__syscall_slong_t __ru_maxrss_word;
    };
    union {
	long int ru_ixrss;
	__syscall_slong_t __ru_ixrss_word;
    };
    union {
	long int ru_idrss;
	__syscall_slong_t __ru_idrss_word;
    };
    union {
	long int ru_isrss;
	__syscall_slong_t __ru_isrss_word;
    };
    union {
	long int ru_minflt;
	__syscall_slong_t __ru_minflt_word;
    };
    union {
	long int ru_majflt;
	__syscall_slong_t __ru_majflt_word;
    };
    union {
	long int ru_nswap;
	__syscall_slong_t __ru_nswap_word;
    };
    union {
	long int ru_inblock;
	__syscall_slong_t __ru_inblock_word;
    };
    union {
	long int ru_oublock;
	__syscall_slong_t __ru_oublock_word;
    };
    union {
	long int ru_msgsnd;
	__syscall_slong_t __ru_msgsnd_word;
    };
    union {
	long int ru_msgrcv;
	__syscall_slong_t __ru_msgrcv_word;
    };
    union {
	long int ru_nsignals;
	__syscall_slong_t __ru_nsignals_word;
    };
    union {
	long int ru_nvcsw;
	__syscall_slong_t __ru_nvcsw_word;
    };
    union {
	long int ru_nivcsw;
	__syscall_slong_t __ru_nivcsw_word;
    };
};
]]

