local ffi = require 'ffi'
local lj_include = require 'lj_include'
local defs = {
    FALLOC_FL_KEEP_SIZE = '0x01',
    FALLOC_FL_PUNCH_HOLE = '0x02',
    FALLOC_FL_NO_HIDE_STALE = '0x04',
}
local format, cdef, C = string.format, ffi.cdef, ffi.C
for sym, val in pairs(defs) do
    if not pcall(function() return C[sym] end) then
        cdef(format("enum {%s = %s};", sym, val))
    end
end

