local ffi = require 'ffi'
local lj_include = require 'lj_include'

ffi.cdef[[
typedef unsigned int size_t;
]]

local defs = {
}
local format, cdef, C = string.format, ffi.cdef, ffi.C
for sym, val in pairs(defs) do
    if not pcall(function() return C[sym] end) then
        cdef(format("enum {%s = %s};", sym, val))
    end
end

